Bug 67384 - Rebuilding perl SRPM with no changes fails.
Summary: Rebuilding perl SRPM with no changes fails.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-24 01:51 UTC by David Jericho
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-24 01:51:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Jericho 2002-06-24 01:51:00 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0) 
 
Description of problem: 
Rebuilding the perl SRPM fails on two DBM tests.  
 
Version-Release number of selected component (if applicable): 
5.6.1-34.99.6 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. rpm --rebuild perl-5.6.1-34.99.6.src.rpm 
  
 
Actual Results:  Both the lib/anydbm and lib/ndbm tests fail with the message 
./perl: relocation error: ../lib/auto/NDBM_File/NDBM_File.so: undefined 
symbol: dbm_open 
 
and the RPM build fails to complete. 
 
Additional info: 
 
Setting the  
%define ndbm  
value to 0 instead of 1 leads to a completed build.

Comment 1 Chip Turner 2002-06-24 17:12:08 UTC
make sure you have db3-devel installed when you build perl.  this is likely the
error.  added as a BuildReq and should be in rawhide in a few days.

Comment 2 David Jericho 2002-06-25 00:58:43 UTC
I have checked the RPMs installed on the machine, and db3-devel-3.3.11-6 was  
indeed installed, on both machines I tested the rebuild on. Both machines  
where up to date with the latest errata.  
  
Unfortunately I don't know enough about the perl build process to comment any 
further, but I haven't had other SRPMs that require db3-devel fail on build.


Note You need to log in before you can comment on or make changes to this bug.